XFcCFLLibrary class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcCFLLibrary Class Reference

Container for all information CFL needs about a single .cfl file. More...

Collaboration diagram for XFcCFLLibrary:

[legend]
List of all members.

## Public Member Functions

XFCIMPORT | XFcCFLLibrary ()
XFCIMPORT | ~XFcCFLLibrary ()
XFCIMPORT XFcFile * | open ()
| Opens the library file if mFilePtr is NULL, otherwise returns it.
XFCIMPORT void | close (XFcFile *aFile)
| Closes the library file if mFilePtr is NULL, otherwise does nothing.

## Public Attributes

XFcFile * | mFilePtr
| File pointer for libraries that are opened with file pointer for some reason.
CHAR * | mFilename
| Filename to the library, or NULL if mFilePtr is not NULL.
INT32 | mOffset
| Offset to the library, from start of file (0 for standalone XFcCFL's).
XFcCFLLibrary * | mNext
| Pointer to the next library.

## Detailed Description

Container for all information CFL needs about a single .cfl file.

## Constructor & Destructor Documentation

XFCIMPORT XFcCFLLibrary::XFcCFLLibrary | ( |  | ) |

XFCIMPORT XFcCFLLibrary::~XFcCFLLibrary | ( |  | ) |

## Member Function Documentation

XFCIMPORT void XFcCFLLibrary::close | ( | XFcFile * | aFile | ) |

| Closes the library file if mFilePtr is NULL, otherwise does nothing.

XFCIMPORT XFcFile* XFcCFLLibrary::open | ( |  | ) |

| Opens the library file if mFilePtr is NULL, otherwise returns it.

## Member Data Documentation

CHAR* XFcCFLLibrary::mFilename

| Filename to the library, or NULL if mFilePtr is not NULL.

XFcFile* XFcCFLLibrary::mFilePtr

File pointer for libraries that are opened with file pointer for some reason.

Note:
  Normally NULL; XFcCFL doesn't keep files open for no reason.

XFcCFLLibrary* XFcCFLLibrary::mNext

| Pointer to the next library.

INT32 XFcCFLLibrary::mOffset

| Offset to the library, from start of file (0 for standalone XFcCFL's).

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch